HCD_BUFFER_CREATE(9)

NAME
hcd_buffer_create - initialize buffer pools

SYNOPSIS

int hcd_buffer_create(struct usb_hcd * hcd);

ARGUMENTS

hcd
    the bus whose buffer pools are to be initialized

CONTEXT

!in_interrupt

DESCRIPTION

Call this as part of initializing a host controller that uses the dma memory allocators. It initializes some pools of dma-coherent memory that will be shared by all drivers using that controller.

Call hcd_buffer_destroy to clean up after using those pools.

RETURN

0 if successful. A negative errno value otherwise.

COPYRIGHT